CifScanner Class Reference

Private class that represents a CIF scanner. More...

`#include <CifScannerBase.h>`

Inheritance diagram for CifScanner:
Collaboration diagram for CifScanner:

## Public Member Functions

| CifScanner (std::istream *yyin)
| CifScanner ()
int | ProcessNone ()
void | ProcessWhiteSpace ()
int | ProcessData ()
int | ProcessLoopScanner ()
void | ProcessStop ()
int | ProcessDot ()
int | ProcessQuestion ()
void | ProcessComment ()
int | ProcessUnderscore ()
int | ProcessBadStrings ()
int | ProcessSQuotedStrings ()
int | ProcessDQuotedStrings ()
int | ProcessEof ()
void | Clear ()
void | Reset ()
virtual int | yylex ()
virtual | ~CifScanner ()

## Public Attributes

int | NDBlineNo

## Protected Member Functions

void | alt_yymore (void)
void | OpenLog (const std::string &logName, bool verboseLevel)

## Protected Attributes

std::string * | _tBuf
int | _isText
int | _i
int | _j
int | _len
std::ofstream | log
std::string | errorLog
bool | _verbose

## Detailed Description

Private class that represents a CIF scanner.

## Constructor & Destructor Documentation

CifScanner::CifScanner | ( | std::istream * | yyin | ) |

CifScanner::CifScanner | ( |  | ) |

virtual CifScanner::~CifScanner | ( |  | ) |

inline virtual

References Reset().

## Member Function Documentation

void CifScanner::alt_yymore | ( | void |  | ) |

protected

void CifScanner::Clear | ( |  | ) |

void CifScanner::OpenLog | ( | const std::string & | logName,
|  | bool | verboseLevel
| ) |  |

protected

int CifScanner::ProcessBadStrings | ( |  | ) |

void CifScanner::ProcessComment | ( |  | ) |

int CifScanner::ProcessData | ( |  | ) |

int CifScanner::ProcessDot | ( |  | ) |

int CifScanner::ProcessDQuotedStrings | ( |  | ) |

int CifScanner::ProcessEof | ( |  | ) |

int CifScanner::ProcessLoopScanner | ( |  | ) |

int CifScanner::ProcessNone | ( |  | ) |

int CifScanner::ProcessQuestion | ( |  | ) |

int CifScanner::ProcessSQuotedStrings | ( |  | ) |

void CifScanner::ProcessStop | ( |  | ) |

int CifScanner::ProcessUnderscore | ( |  | ) |

void CifScanner::ProcessWhiteSpace | ( |  | ) |

void CifScanner::Reset | ( |  | ) |

Referenced by ~CifScanner().

virtual int CifScanner::yylex | ( |  | ) |

virtual

## Member Data Documentation

int CifScanner::_i

protected

int CifScanner::_isText

protected

int CifScanner::_j

protected

int CifScanner::_len

protected

std::string* CifScanner::_tBuf

protected

bool CifScanner::_verbose

protected

std::string CifScanner::errorLog

protected

std::ofstream CifScanner::log

protected

int CifScanner::NDBlineNo

The documentation for this class was generated from the following file:

- rcsb/CifScannerBase.h